Bug 64680 - Kmail 3.0 crashes when replying to mail
Kmail 3.0 crashes when replying to mail
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 11:15 EDT by Christopher Wong
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 06:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Wong 2002-05-09 11:15:10 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0; Linux) 
 
Description of problem: 
KMail crashes with a SIGSEGV when I reply to an email at the point when I click the button 
to send. This is the kmail 3.0 RPM for Red Hat 7.2 linked to from http://www.kde.org. I 
cleaned out the ~/Desktop and ~/.kde directories to start afresh. My mail account is an 
IMAP account on another Red Hat machine running Cyrus IMAP. KMail seemed to work fine for 
a while but seems recently to be crashing a lot (every time, in fact, the last few times) 
when I reply to email. 
 
Version-Release number of selected component (if applicable): KDE 3.0 
 
 
How reproducible: 
Sometimes 
 
Steps to Reproduce: 
1.Reply to email, partially quoting message 
2.Click to send 
 
  
 
Actual Results:  KMail crashes with a SIGSEGV  
 
Expected Results:  It should have sent the email 
 
Additional info: 
 
Backtrace from the crash handler: 
 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)...[New Thread 1024 (LWP 
19651)] 
 
0x410dab09 in __wait4 () from /lib/i686/libc.so.6 
#0  0x410dab09 in __wait4 () from /lib/i686/libc.so.6 
#1  0x41156514 in __DTOR_END__ () from /lib/i686/libc.so.6 
#2  0x423137b3 in waitpid (pid=19753, stat_loc=0x0, options=0) 
    at wrapsyscall.c:172 
#3  0x41652732 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.4 
#4  0x42311b45 in pthread_sighandler (signo=11, ctx= 
      {gs = 7, __gsh = 0, fs = 0, __fsh = 0, es = 43, __esh = 0, ds = 43, __dsh = 0, edi = 
138461376, esi = 3221216320, ebp = 3221216680, esp = 3221215736, ebx = 3221216304, edx = 
0, ecx = 138219256, eax = 3221216320, trapno = 14, err = 4, eip = 135265483, cs = 35, 
__csh = 0, eflags = 66050, esp_at_signal = 3221215736, ss = 43, __ssh = 0, fpstate = 0x0, 
oldmask = 2147483648, cr2 = 36}) 
    at signals.c:97 
#5  <signal handler called> 
#6  0x080ffccb in KMComposeWin::applyChanges () 
#7  0x080fab46 in KMComposeWin::deadLetter () 
#8  0x081c16ad in KMKernel::dumpDeadLetters () 
#9  0x41652085 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.4 
#10 0x42311b45 in pthread_sighandler (signo=11, ctx= 
      {gs = 7, __gsh = 0, fs = 0, __fsh = 0, es = 43, __esh = 0, ds = 43, __dsh = 0, edi = 
138461376, esi = 3221218752, ebp = 3221219112, esp = 3221218168, ebx = 3221218736, edx = 
0, ecx = 138219256, eax = 3221218752, trapno = 14, err = 4, eip = 135265483, cs = 35, 
__csh = 0, eflags = 66050, esp_at_signal = 3221218168, ss = 43, __ssh = 0, fpstate = 
0xbfffe0f8, oldmask = 2147483648, cr2 = 36}) 
    at signals.c:97 
#11 <signal handler called> 
#12 0x080ffccb in KMComposeWin::applyChanges () 
#13 0x08108241 in KMComposeWin::doSend () 
#14 0x08108ad4 in KMComposeWin::slotSendNow () 
#15 0x080f585b in KMComposeWin::qt_invoke () 
#16 0x46c47b97 in QObject::activate_signal () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#17 0x46c47af8 in QObject::activate_signal () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#18 0x41bff975 in KAction::activated () from /usr/lib/libkdeui.so.4 
#19 0x41bf046b in KAction::slotActivated () from /usr/lib/libkdeui.so.4 
#20 0x41bffb93 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4 
#21 0x46c47c03 in QObject::activate_signal () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#22 0x46c47af8 in QObject::activate_signal () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#23 0x46f47118 in QButton::clicked () from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#24 0x46cdb827 in QButton::mouseReleaseEvent () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#25 0x46c77750 in QWidget::event () from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#26 0x46be7c63 in QApplication::internalNotify () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#27 0x46be7393 in QApplication::notify () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#28 0x415b7d1b in KApplication::notify () from /usr/lib/libkdecore.so.4 
#29 0x46b90b41 in QETWidget::translateMouseEvent () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#30 0x46b8dd50 in QApplication::x11ProcessEvent () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#31 0x46b8c99e in QApplication::processNextEvent () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#32 0x46be912c in QApplication::enter_loop () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#33 0x46b8c907 in QApplication::exec () 
   from /usr/lib/qt-3.0.3/lib/libqt-mt.so.3 
#34 0x081c537b in main () 
#35 0x4103c487 in __libc_start_main (main=0x81c4b70 <main>, argc=7,  
    ubp_av=0xbffff944, init=0x806b198 <_init>, fini=0x8202620 <_fini>,  
    rtld_fini=0x4100dcc4 <_dl_fini>, stack_end=0xbffff93c) 
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Ngo Than 2004-07-28 06:16:15 EDT
it's not reproduceable in new KDE version (fc1/fc2)

Note You need to log in before you can comment on or make changes to this bug.